Technical FAQs

Ask a Question

PowerChute Personal Edition installation will fail on a Windows XP machine with .Net 4.0 only installed, indicating there is no USB connectivity between UPS and the CPU.

Issue:
PowerChute Personal Edition (PCPE) installation will fail on a Windows XP machine with .Net 4.0 only, indicating there is no USB connectivity between UPS and the CPU.

Product:
PowerChute Personal Edition

Environment:
Windows XP

Cause:
Missing .Net 3.5

Resolution:

Install .Net 3.5 SP1 from this link http://www.microsoft.com/download/en/details.aspx?id=22 and try to install the application.

To find out what version of .Net is installed on the target system, follow the steps below

1. Open a command prompt  go to start -> run ->  and type cmd
2. At the command prompt type reg query ""hklm\software\microsoft\net framework setup\ndp"" (the double quotes are need since there are spaces in the path)
3. You then will see a  list of .Net versions installed on your system in the command prompt window (see below).

 

On the queried system you see that .NET 1.1.X, 2.0.X, 3.0, and 3.5 are installed

Was this helpful?
What can we do to improve the information ?